cURL
curl --request GET \
--url https://my.orq.ai/v2/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>'import { Orq } from '@orq-ai/node';
const orq = new Orq({ apiKey: process.env.ORQ_API_KEY });
await orq.monitors.get({ monitorId: 'monitor_01J81V5RZPVTDHXBV6M2YVJHRA' });
import requests
url = "https://my.orq.ai/v2/monitors/{monitor_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"monitor": {
"monitor_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"project_id": "<string>",
"widgets": [
{
"widget_id": "<string>",
"type": "timeseries",
"title": "<string>",
"queries": [
{
"metric": "<string>",
"source": "MONITOR_TELEMETRY_SOURCE_UNSPECIFIED",
"operation": "<string>",
"group_by": [
"<string>"
],
"filters": [
{
"field": "<string>",
"op": "eq",
"values": [
"<string>"
]
}
],
"grain": "auto",
"limit": 123
}
],
"layout": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"display": {
"visualization": "lines",
"unit": "count",
"sort": "desc",
"show_overall": true,
"target": 123,
"decimals": 123,
"show_others": true,
"show_percentages": true
}
}
],
"preset_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"default_range": "5m"
}
}Monitors
Retrieve a monitor
Retrieves a monitor by ID.
GET
/
v2
/
monitors
/
{monitor_id}
cURL
curl --request GET \
--url https://my.orq.ai/v2/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>'import { Orq } from '@orq-ai/node';
const orq = new Orq({ apiKey: process.env.ORQ_API_KEY });
await orq.monitors.get({ monitorId: 'monitor_01J81V5RZPVTDHXBV6M2YVJHRA' });
import requests
url = "https://my.orq.ai/v2/monitors/{monitor_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"monitor": {
"monitor_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"project_id": "<string>",
"widgets": [
{
"widget_id": "<string>",
"type": "timeseries",
"title": "<string>",
"queries": [
{
"metric": "<string>",
"source": "MONITOR_TELEMETRY_SOURCE_UNSPECIFIED",
"operation": "<string>",
"group_by": [
"<string>"
],
"filters": [
{
"field": "<string>",
"op": "eq",
"values": [
"<string>"
]
}
],
"grain": "auto",
"limit": 123
}
],
"layout": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
},
"display": {
"visualization": "lines",
"unit": "count",
"sort": "desc",
"show_overall": true,
"target": 123,
"decimals": 123,
"show_others": true,
"show_percentages": true
}
}
],
"preset_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>",
"updated_by_id": "<string>",
"default_range": "5m"
}
}Was this page helpful?